Class | Ferret::Document
In: | lib/ferret/document.rb
Parent: | Hash

Documents are the unit of indexing and search.

A Document is a set of fields. Each field has a name and an array of textual values. If you are coming from a Lucene background you should note that Fields don‘t have any properties except for the boost property. You should use the Ferret::Index::FieldInfos class to set field properties across the whole index instead.

### Boost

The boost attribute makes a Document more important in the index. That is, you can increase the score of a match for queries that match a particular document, making it more likely to appear at the top of search results. You may, for example, want to boost products that have a higher user rating so that they are more likely to appear in search results.

Note: that fields which are not stored (see Ferret::Index::FieldInfos) are not available in documents retrieved from the index, e.g. Ferret::Search::Searcher#doc or Ferret::Index::IndexReader#doc.

Note: that modifying a Document retrieved from the index will not modify the document contained within the index. You need to delete the old version of the document and add the new version of the document.

### Methods

== eql? new to_s

### Included Modules

BoostMixin

### Public Class methods

new(boost = 1.0)

Create a new Document object with a boost. The boost defaults to 1.0.

### Public Instance methods

==(o)

Alias for eql?

eql?(o)

Return true if the documents are equal, ie they have the same fields

to_s()

Create a string representation of the document

[Validate]